Как использовать сторонние SDK в приложении

Сторонние SDK в приложении могут влиять на его совместимость, производительность, безопасность, надежность и качество.

Изменения, связанные со сторонними SDK

Скоро мы начнем отмечать известные проблемы с популярными SDK в Play Console. Благодаря этому вы сможете использовать только то стороннее ПО, которое соответствует Правилам программы для разработчиков и делает ваше приложение лучше и удобнее.

О том, какой SDK используется в вашем приложении, мы узнаем из его файла зависимостей. В этом файле есть список версий библиотек, от которых зависит приложение. Для приложений, которые публикуются как наборы Android App Bundle, файл зависимостей предоставляется по умолчанию. Приложения, которые были созданы до августа 2021 года и публикуются в формате APK, включают файл зависимости, если используется плагин Android Gradle версии 4.0 или более поздней.

Проблемы со сторонними SDK в приложениях

Если применимо, проблемы с версиями SDK в вашем приложении указываются в Play Console в верхней части страницы Рабочая версия или на странице Обзор версии приложения.

Мы можем отклонять новые выпуски приложения, использующего версию SDK, которая не соответствует Правилам программы для разработчиков. В зависимости от типа нарушения вам потребуется подтвердить, что вы используете SDK согласно правилам в отношении пользовательских данных, перейти на рекомендованную поставщиком версию SDK или удалить SDK.

Если ваше приложение использует устаревшую версию SDK или версию с критическими проблемами, вы получите предупреждение, в котором могут быть указаны необходимые действия. Например, если поставщик SDK уведомил нас о том, что версия SDK, используемая в вашем приложении, устарела, вы по-прежнему сможете опубликовать его. Однако для выпуска другой версии приложения вам придется использовать обновленную версию SDK. Если поставщик сообщил, что в используемой у вас версии SDK есть критические проблемы, вы увидите предупреждение с описанием типов этих неполадок.

Если у вас возникли вопросы об устаревшей или содержащей критические проблемы версии SDK, свяжитесь с ее поставщиком.

Эта информация оказалась полезной?
Как можно улучшить эту статью?

Требуется помощь?

Войдите в свой аккаунт, чтобы мы могли предоставить вам дополнительные варианты поддержки и быстрее решить вашу проблему.

Поиск
Удалить поисковый запрос
Закрыть поиск
Приложения Google
Главное меню
Поиск по Справочному центру
true
92637
false